require 'class'

local M=class(function(self, text, x, y, width, height)
	self.text = text
	self.X = x
	self.Y = y
	self.width = width
	self.height = height
	self.clicked = false
end)

function M:draw()
    love.graphics.setColor(0, 200, 255, 255)
	love.graphics.rectangle("fill", self.X, self.Y, self.width, self.height)
	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.print(self.text, self.X + (self.width / 4), self.Y + (self.height / 4))
end

function M:click(x, y)
	if x > self.X and x < self.X + self.width and y > self.Y and y < self.Y + self.height then
		self.clicked = true
	end
end

function M:wasClicked()
	local clicked = self.clicked
	self.clicked = false
	return clicked
end

return M